#ifndef VECTORTESTS_H_
#define VECTORTESTS_H_

#include <cpptest.h>
#include <Point.h>

class VectorTests : public Test::Suite{
public:
	VectorTests(){
		TEST_ADD(VectorTests::dot_product);
	}

	void dot_product(){
		Vector v1(3,4,1);
		Vector v2(3,4,1);
		Vector v3(8,12,1);


		TEST_ASSERT(v1 * v2 == 25);
		TEST_ASSERT(v1 * v3 == 72);
		TEST_ASSERT(v2 * v3 != 49);

	}

	virtual ~VectorTests(){

	}
};

#endif /* VECTORTESTS_H_ */
