#ifndef MAIN_TESTS_CPP_
#define MAIN_TESTS_CPP_

#ifdef GS_TEST

#include <cpptest.h>
#include <memory>
#include "DisplayFileTests.h"
#include "MatrixTests.h"
#include "WindowTests.h"
#include "GeometricElementTests.h"
#include "GeometricTransformationsTests.h"
#include "VectorTests.h"
#include "XmlTests.h"

int main(int argc, char **argv){
	Test::Suite testSuite;

//	testSuite.add(std::auto_ptr<Test::Suite>(new DisplayFileTests));
//	testSuite.add(std::auto_ptr<Test::Suite> (new MatrixTests));
//	testSuite.add(std::auto_ptr<Test::Suite> (new WindowTests));
//	testSuite.add(std::auto_ptr<Test::Suite> (new GeometricElementTests));
//	testSuite.add(std::auto_ptr<Test::Suite> (new GeometricTransformationsTests));
//	testSuite.add(std::auto_ptr<Test::Suite> (new VectorTests));
	testSuite.add(std::auto_ptr<Test::Suite> (new XmlTests));

	Test::TextOutput output(Test::TextOutput::Verbose);

	testSuite.run(output);

	return 0;
}

#endif

#endif /* MAIN_TESTS_CPP_ */
